
Calculate Linux - Feature # 190: use Cannon MF printers in gentoo

Status: Closed Priority: Normal

Author: ÐœÐ¸Ñ…Ð°Ð¸Ð» Ð“Ð°Ð³Ð°ÑƒÐ· Category: Calculate Linux

Created: 12/13/2010 Assignee:

Updated: 02/02/2011 Due date:

Subject: use Cannon MF printers in gentoo

Description: # thanks to http://bugs.gentoo.org/130612





need:


*net-print/cndrvcups-lb/cndrvcups-lb-2.10_p1.ebuild* and 

*net-print/cndrvcups-common/cndrvcups-common-2.10_p1.ebuild*








*cat net-print/cndrvcups-common/cndrvcups-common-2.10_p1.ebuild *


<pre># Copyright 1999-2006 Gentoo Foundation


# Distributed under the terms of the GNU General Public License v2


# $Header: $














inherit multilib eutils rpm versionator


MY_P=${P/_p/-}


DESCRIPTION="Common files for the Canon CUPS Capt driver"


HOMEPAGE="http://www.canon.com/"


LICENSE="CANON"


SLOT="0"


KEYWORDS="~amd64 ~x86"


IUSE="-cngplp"    # enable or disable cngplp compilation, may cause build break on ~amd64, don't really 

know if cngplp is ever needed


RESTRICT=""


EAPI="2"





SRC_URI="mirror://canon/${PN}/${MY_P}.tar.gz"


###


# Go to http://software.canon-europe.com/, select in "Multifunctionals" i-SENSYS MF4010


# Find and follow UFRII/UFRII LT Printer Driver for Linux v2.10 (2.10)


# Download 106eenx.zip and extract anywhere


# copy from this anywhere file UK/Sources/cndrvcups-common-2.10-1.tar.gz to ${DISTDIR}


# 


# PORFIT


###


### TODO:


# VMESTO ETOGO KRIVOGO KOMMENTA --^^ CDELATI ADEKVTNII  SRC_URI


###





DEPEND=">=net-print/cups-1.1.17"


S=${WORKDIR}/${PN}-$(get_version_component_range 1-2)





dir=/usr/$(get_libdir)


CNGPLP=""
QA_TEXTRELS="${dir:1}/libcaepcm.so.1.0


	${dir:1}/libc3pl.so.0.0.1


	${dir:1}/libcnlbcm.so.1.0


	${dir:1}/libcaiousb.so.1.0.0"


src_configure(){


	if hasuse cngplp; then CNGPLP="cngplp"; fi


	for i in buftool ${CNGPLP}; do


		cd ${i}


		NOCONFIGURE=1 ./autogen.sh


		econf


		cd ..


	done


	cd cpca


	NOCONFIGURE=1 ./autogen.sh


	econf --enable-shared --disable-static


	cd ..


}





src_compile() {


	for i in buftool cpca c3plmod_ipc ${CNGPLP}; do


		cd ${i}


		emake


		cd ..


	done


}





src_install() {


	for i in buftool cpca ${CNGPLP}; do


		cd ${i}


		make install DESTDIR=${D} || die "make install failed for ${i}" 


		cd ..


	done





	OABI=${ABI}


	has_multilib_profile && ABI="x86"


	for i in $(cd libs; ls *.so.?.?.?; cd ..); do


		dolib.so libs/${i}


		dosym ${i} /usr/$(get_libdir)/${i%.?}


		dosym ${i} /usr/$(get_libdir)/${i%.?.?}


		dosym ${i} /usr/$(get_libdir)/${i%.?.?.?}


	done


	for i in $(cd libs; ls *.so.?.?; cd ..); do


		dolib.so libs/${i}


		dosym ${i} /usr/$(get_libdir)/${i%.?}


		dosym ${i} /usr/$(get_libdir)/${i%.?.?}


	done





	dolib.so c3plmod_ipc/libcanonc3pl.so.1.0.0


	dosym  libcanonc3pl.so.1.0.0 /usr/$(get_libdir)/libcanonc3pl.so.1.0


	dosym  libcanonc3pl.so.1.0.0 /usr/$(get_libdir)/libcanonc3pl.so.1


	dosym  libcanonc3pl.so.1.0.0 /usr/$(get_libdir)/libcanonc3pl.so


	


	dobin libs/cnpkmodule
	dobin libs/c3pldrv





	ABI=${OABI}





	insinto /usr/share/caepcm


	doins data/*








	dodoc LICENSE-common-*.txt README


	for i in buftool cpca c3plmod_ipc ${CNGPLP}; do


		docinto ${i}


		dodoc ${i}/NEWS ${i}/README ${i}/AUTHORS ${i}/ChangeLog


	done


	docinto buftool


	dodoc buftool/LICENSE.txt


}


</pre>





*cat net-print/cndrvcups-lb/cndrvcups-lb-2.10_p1.ebuild*


<pre># Copyright 1999-2006 Gentoo Foundation


# Distributed under the terms of the GNU General Public License v2


# $Header: $





inherit multilib eutils versionator





MY_P=${P/_p/-}


S=${WORKDIR}/${PN}-$(get_version_component_range 1-2)





DESCRIPTION="Canon UFR II / LIPSLX Printer Driver"


HOMEPAGE="http://www.canon.com/"





SRC_URI="mirror://canon/${PN}/${MY_P}.tar.gz"


###


# Go to http://software.canon-europe.com/, select in "Multifunctionals" i-SENSYS MF4010


# Find and follow UFRII/UFRII LT Printer Driver for Linux v2.10 (2.10)


# Download 106eenx.zip and extract anywhere


# copy from this anywhere file UK/Sources/cndrvcups-lb-2.10-1.tar.gz to ${DISTDIR}


# 


# PORFIT


###


### TODO:


# VMESTO ETOGO KRIVOGO KOMMENTA --^^ CDELATI ADEKVTNII  SRC_URI


###





LICENSE="CANON"


SLOT="0"


KEYWORDS="~amd64 ~x86"


IUSE=""





DEPEND="=net-print/cndrvcups-common-${PV}"





src_compile() {


	for i in ppd pstoufr2cpca backend; do
		cd ${i}


		NOCONFIGURE=1 ./autogen.sh


		econf \


			--libdir=/usr/libexec/


		emake


		cd ..


	done


}





src_install() {


	emake install DESTDIR=${D}





	OABI=${ABI}


        has_multilib_profile && ABI="x86"


	for i in `cd libs; ls *.so.?.?.?; cd ..`; do


		dolib.so libs/${i}


		dosym ${i} /usr/$(get_libdir)/${i%.?.?}		# Fix the version stuff of libs


		dosym ${i} /usr/$(get_libdir)/${i%.?.?.?}


	done





	insinto /usr/share/caepcm


	doins data/*


}


</pre>


History

12/21/2010 11:53 pm - Alexander Tratsevskiy

<pre>


>>> Downloading 'http://distfiles.gentoo.org/distfiles/cndrvcups-common-2.10-1.tar.gz'


--2010-12-21 23:52:54--  http://distfiles.gentoo.org/distfiles/cndrvcups-common-2.10-1.tar.gz


Ð Ð°Ñ•Ð¿Ð¾Ð·Ð½Ð°Ñ‘Ñ‚Ñ•Ñ• distfiles.gentoo.org... 156.56.247.195, 204.152.191.39, 216.165.129.135, ...


Ð£Ñ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÑ‚Ñ•Ñ• Ñ•Ð¾ÐµÐ´Ð¸Ð½ÐµÐ½Ð¸Ðµ Ñ• distfiles.gentoo.org|156.56.247.195|:80... Ñ•Ð¾ÐµÐ´Ð¸Ð½ÐµÐ½Ð¸Ðµ 

ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð¾.


Ð—Ð°Ð¿Ñ€Ð¾Ñ• HTTP Ð¿Ð¾Ñ•Ð»Ð°Ð½, Ð¾Ð¶Ð¸Ð´Ð°ÐµÑ‚Ñ•Ñ• Ð¾Ñ‚Ð²ÐµÑ‚... 404 Not Found


2010-12-21 23:52:55 ÐžÐ¨Ð˜Ð‘ÐšÐ• 404: Not Found.





!!! Couldn't download 'cndrvcups-common-2.10-1.tar.gz'. Aborting.


!!! Fetch failed for cndrvcups-common-2.10-1.tar.gz, can't update Manifest


</pre>


12/22/2010 12:28 am - Alexander Tratsevskiy

same problem http://www.calculate-linux.ru/issues/178

01/03/2011 05:38 pm - Alexander Tratsevskiy

- Status changed from New to Closed

- Target version set to 11.0

- % Done changed from 0 to 100

02/02/2011 11:35 am - ÐœÐ¸Ñ…Ð°Ð¸Ð» ÐŸÐ°Ð´Ð°Ð»ÐºÐ°

Ð­Ð¼... ÐºÐ°ÐºÐ¾Ð¹ Ñ‚Ð°ÐºÐ¾Ð¹ Closed? Ð• Ð³Ð´Ðµ cndrvcups-lb? Ð’ Ð½ÐµÐ¼ Ð´Ñ€Ð°Ð¹Ð²ÐµÑ€Ñ‹ Ð´Ð»Ñ• Ð½Ð¾Ð²Ñ‹Ñ… ÐœÐ¤Ð£, 

Ñ‚Ð¸Ð¿Ð° MF-4530D.
